Can Photoshop 5.5 be installed on MacMini?

Discussion in 'Mac mini' started by John Hopper, Jul 16, 2010.

  1. John Hopper macrumors newbie

    Joined:
    Jul 16, 2010
    #1
    I'm perfectly content with Photoshop 5.5 upon my old Mac: the big blue plastic unit with the blue apples on the sides, but CD burners kept frying. I've purchased a MacMini with a built-in CD burner to resolve this problem, but don't know if this MacMini will take 5.5 or if I have to upgrade. Also: will a photoshop upgrade 'recognize' the layers created in 5.5? If so, which upgrade will 'recognize' this work created in 5.5.? Thanks for any help.
     
  2. spinnerlys Guest

    spinnerlys

    Joined:
    Sep 7, 2008
    Location:
    forlod bygningen
    #2
    Most probably not, as PS 5.5 was for System 7.5+ as far as I can remember, thus it will not run on Mac OS X, especially on Intel machines, as Classic has been removed. Look at eBay or Craigslist for older PS C3+ versions, to be able to run them on an Intel Mac.
     
  3. MikieMcBikie macrumors regular

    Joined:
    Mar 14, 2009
    Location:
    TN
    #3
    I agree with spinnerlys on the install of 5.5. I will add i would be confident your layers would be fine into a newer version. Possibly some text formatting issues, but that is just a possibility.
     
  4. pacmania1982 macrumors 6502a

    pacmania1982

    Joined:
    Nov 19, 2006
    Location:
    Birmingham, UK
    #4
    If your Mac is a G4 Mac and you're still running Tiger you'd might be in luck. It possibly could run in the Classic environment. This was removed in Leopard (guys help me out here??) I think. But running an app in Classic over OS X is just plain nasty ;0)

    Upgrade already :D

    pac
     

Share This Page